gnutls_openpgp_crt_set_preferred_key_id(3)

NAME
gnutls_openpgp_crt_set_preferred_key_id - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_set_preferred_key_id(gnutls_openpgp_crt_t key, const gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

const gnutls_openpgp_keyid_t keyid
    the selected keyid

DESCRIPTION
This allows setting a preferred key id for the given certificate. This key will be used by functions that involve key handling. If the provided keyid is NULL then the master key is set as preferred.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/